<?php 
/***************************************************************************
 *                      Uninstall Last news headlined
 *                           --------------------
 *   begin                : Sunday, August 7, 2005
 *   copyright            : (C) 2005 -=ET=-
 *   email                : n/a
 *
 *   $Id: uninstall_db_modifications.php,v 1.0.0 2005/08/07 00:00:00 -=ET=- Exp $
 *
 ***************************************************************************/

/***************************************************************************
*
*    Languages:  French, German, Italian, Spanish for those who use these
*                languages, and English for all others.
*--------
*    Langues:    Franais, Allemand, Italien et Espagnol pour ceux utilisant
*                ces langues et anglais pour tous les autres.
* 
****************************************************************************/


define('IN_PHPBB', true); 
$phpbb_root_path = './'; 
include($phpbb_root_path . 'extension.inc'); 
include($phpbb_root_path . 'common.'.$phpEx); 

$userdata = session_pagestart($user_ip, PAGE_INDEX); 
init_userprefs($userdata); 

switch ( $userdata['user_lang'] )
{
	case french:
	case francais:
		$script_lang['mod_name'] = 'Last news headlined'; // Ne pas crire le mot "MOD" dans le nom !

		$script_lang['not_admin'] = '<b>Excution des requtes impossible !</b><br /><br />Il vous faut tre connect sous un compte d\'administrateur pour y tre autoris.';
		$script_lang['queries_result'] = sprintf('Rsultat des requtes ralises pour la dsinstallation de %s :', $script_lang['mod_name']);
		$script_lang['query'] = 'Requte ';
		$script_lang['error'] = 'Erreur';
		$script_lang['ok'] = 'OK';
		$script_lang['note'] = '<u>Remarque :</u> si vous avez une ou des requtes en <b><font color=#FF0000>[Erreur]</font></b>, il est possible que ce soit tout simplement d<br />au fait que les requtes aient dj t excutes (que la table ou le champ ait dj t supprim par exemple).<br />Dans tous les cas, ne repassez plus cette mise  jour. Vrifiez maintenant la source des erreurs en manuel.';
		$script_lang['warning'] = '<b>ATTENTION :</b> maintenant que la ou les requtes ont t excutes, vous<br />devez <b>supprimer ce fichier</b> (%s) du rpertoire racine de phpBB !';
		break;

//	case german:
//	case deutsch:
//		$script_lang['mod_name'] = 'Last news headlined'; // Es darf nicht das Wort "MOD" drin vorkommen !

//		$script_lang['not_admin'] = '<b>Unmglich die Datenbank zu aktualisieren!</b><br /><br />Nur als Administrator kann man diese Funktion ausfhren.';
//		$script_lang['queries_result'] = sprintf('Ergebnisse der Datenbankanpassung vom %s MOD:', $script_lang['mod_name']);
//		$script_lang['query'] = 'Query #';
//		$script_lang['error'] = 'Fehler';
//		$script_lang['ok'] = 'OK';
//		$script_lang['note'] = '<u>Notiz:</u> Wenn ein oder mehrere <b><font color=#FF0000>[Fehler]</font></b> angezeigt werden, wurde die Datenbankanpassung<br />eventuell bereits erfolgreich durchgefhrt (z.B. existiert die Tabelle oder das Feld bereits in der Datenbank).<br />Auf jeden Fall sollte man, vor dem erneuten Versuch der Datenbankanpassung, die Fehlerquelle herausfinden.';
//		$script_lang['warning'] = '<b>WARNUNG:</b> Nach erfolgter Datenbankanpassung muss diese Datei<br />(%s) aus dem phpBB-Verzeichnis <b>gelscht werden</b>!';
//		break;

//	case italian:
//	case italiano:
//		$script_lang['mod_name'] = 'Last news headlined'; // Non scrivere la parola "MOD" nel nome! 

//		$script_lang['not_admin'] = '<b>Esecuzione delle richieste d\'aggiornamento impossibile !</b><br /><br />Devi connetterti come amministratore per avere i permessi adatti.';
//		$script_lang['queries_result'] = sprintf('Risultato delle richieste d\'aggiornamento realizzate per conto del MOD %s :', $script_lang['mod_name']);
//		$script_lang['query'] = 'Richiesta n';
//		$script_lang['error'] = 'Errore';
//		$script_lang['ok'] = 'OK';
//		$script_lang['note'] = '<u>Nota :</u> se avete una o pi richieste in <b><font color=#FF0000>[Errore]</font></b>,  possibile che questo sia dovuto al fatto<br />che la richiesta esista gi (per esempio che la tabella o il campo sia gi stato creato).<br />In tutti i casi non rilanciate pi quest\'aggiornamento. Verificate subito l\'origine degli errori manualmente.';
//		$script_lang['warning'] = '<b>ATTENZIONE :</b> ora che la o le richieste sono state eseguite dovete<br /><b>cancellare questo file</b> (%s) dalla cartella di phpBB !';
//		break;

//	case spanish:
//	case espanol:
//		$script_lang['mod_name'] = 'Last news headlined'; // No incluya la palabra "MOD" en l nombre!

//		$script_lang['not_admin'] = '<b>Imposible ejecutar las sentencias de actualizacin!</b><br /><br />Necesitas estar conectado como Adminsitrador para tener los permisos requeridos.';
//		$script_lang['queries_result'] = sprintf('Resultado de las sentencias de actualizacin para el MOD %s :', $script_lang['mod_name']);
//		$script_lang['query'] = 'Sentencia N';
//		$script_lang['error'] = 'Error';
//		$script_lang['ok'] = 'OK';
//		$script_lang['note'] = '<u>Nota:</u> si tienes uno o ms errores <b><font color=#FF0000>[Error]</font></b> para las sentencias, puede ser simplemente<br />que la actualizacin ya ha sido realizada (por ejemplo, la tabla o el campo ya existe).<br />En cualquier caso, no vuelva a ejecutar esta actualizacin. Encuentra el origen de los errores manualmente.';
//		$script_lang['warning'] = '<b>ADVERTENCIA:</b> ya que la sentencia (s) han sido ejecutadas, Ud.<br />debe <b>borrar este fichero</b> (%s) desde el directorio raz de phpBB!';
//		break;

	default:
		$script_lang['mod_name'] = 'Last news headlined'; // Do not include the word "MOD" in the name!

		$script_lang['not_admin'] = '<b>Impossible to run the queries!</b><br /><br />You need to be connected as administrator to have the rights required.';
		$script_lang['queries_result'] = sprintf('Results of queries executed to uninstall %s:', $script_lang['mod_name']);
		$script_lang['query'] = 'Query #';
		$script_lang['error'] = 'Error';
		$script_lang['ok'] = 'OK';
		$script_lang['note'] = '<u>Note:</u> if you have one or more <b><font color=#FF0000>[Error]</font></b> for queries, it can simply be that the query has<br />already been done (the table or the field has already been deleted for example).<br />In any case, do not re execute this update. Find errors origin manually.';
		$script_lang['warning'] = '<b>WARNING:</b> since the query or queries has now been executed, you<br />must <b>delete this file</b> (%s) from the phpBB root directory!';
		break;
}


if( !$userdata['session_logged_in'] ) 
{ 
	header('Location: ' . append_sid("login.$phpEx?redirect=".basename($_SERVER['PHP_SELF']), true)); 
} 

if( $userdata['user_level'] != ADMIN ) 
{ 
	message_die(GENERAL_MESSAGE, $script_lang['not_admin']);
}

$sql = array(" 
DELETE FROM ".$table_prefix."config WHERE config_name='display_last_news' LIMIT 1
","
DELETE FROM ".$table_prefix."config WHERE config_name='news_forum_id' LIMIT 1
","
DELETE FROM ".$table_prefix."config WHERE config_name='news_displayed' LIMIT 1
","
DELETE FROM ".$table_prefix."config WHERE config_name='news_date_format' LIMIT 1
"); 

$n = 0;

$message = '<b>' . $script_lang['queries_result'] . '</b><br /><br />'; 
 
while($sql[$n]) 
{ 
$message .= ($mods[$n-1] != $mods[$n]) ? '<p><b><font size=2>'.$mods[$n].'</font></b><br />' : ''; 
if(!$result = $db->sql_query($sql[$n])) 
{
	$message .= $script_lang['query'] . ($n+1) . ' : ' . $sql[$n] . ' <b><font color=#FF0000>[' . $script_lang['error'] . ']</font></b><br />'; 
} 
else 
{
	$message .= $script_lang['query'] . ($n+1) . ' : ' . $sql[$n] . ' <b><font color=#009900>[' . $script_lang['ok'] . ']</font></b><br />'; 
} 
$n++; 
} 

$message .= '<br /><br /><font size=1>' . $script_lang['note'] . '</font><br /><br /><br />' . sprintf($script_lang['warning'], basename($_SERVER['PHP_SELF'])); 

message_die(GENERAL_MESSAGE, $message); 

?> 